import { minify } from 'terser';

function terser(options) {
    return {
        name: 'minify-code',
        async renderChunk(code, chunk, outputOptions) {
            const defaultOptions = {
                module: outputOptions.format === "es" || outputOptions.format === "esm",
                toplevel: outputOptions.format === "cjs",
                ...options,
                sourceMap: false
            };
            const result = await minify(code, defaultOptions);
            return result.code;
        }
    };
}

export { terser };
//# sourceMappingURL=index.mjs.map
